package config

const (
	ConfigFileName = "config.json"
)

var ConfigDir *string
var ConfigFilePath *string
var CFG *Config

type Config struct {
	Central CentralConfig `json:"central" yaml:"central" toml:"central"`
	Probe   ProbeConfig   `json:"probe" yaml:"probe" toml:"probe"`
}

type CentralConfig struct {
	URL    *string `json:"url" yaml:"url" toml:"url"`
	APIKey *string `json:"apiKey" yaml:"apiKey" toml:"apiKey"`
}

type ProbeConfig struct {
	Key *string `json:"key,omitempty" yaml:"key" toml:"key"`
}
